Skip to main content

Get and lock last task run's default request queue head

POST 

/v2/actor-tasks/:actorTaskId/runs/last/request-queue/head/lock

Returns the given number of first requests from the default request queue of the last Actor task run and locks them for the given time.

This endpoint is a shortcut for getting the last task run's defaultRequestQueueId and then using the Get head and lock endpoint.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    lockSecs double required

    How long the requests will be locked for (in seconds).


    Example: 60
    limit double

    Possible values: <= 25

    How many items from the queue should be returned.


    Example: 25
    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Status 201

Response Headers
    {
    "data": {
    "limit": 3,
    "queueModifiedAt": "2018-03-14T23:00:00.000Z",
    "hadMultipleClients": true,
    "lockSecs": 60,
    "items": [
    {
    "id": "8OamqXBCpPHxyj9",
    "retryCount": 0,
    "uniqueKey": "http://example.com",
    "url": "http://example.com",
    "method": "GET",
    "lockExpiresAt": "2022-06-14T23:00:00.000Z"
    },
    {
    "id": "8OamqXBCpPHxyx9",
    "retryCount": 0,
    "uniqueKey": "http://example.com/a",
    "url": "http://example.com/a",
    "method": "GET",
    "lockExpiresAt": "2022-06-14T23:00:00.000Z"
    },
    {
    "id": "8OamqXBCpPHxy08",
    "retryCount": 0,
    "uniqueKey": "http://example.com/a/b",
    "url": "http://example.com/a/b",
    "method": "GET",
    "lockExpiresAt": "2022-06-14T23:00:00.000Z"
    }
    ]
    }
    }